SELECT  rc.countryID AS rcID
        ,rc.countryName AS rcName
        ,dbo.ufn_getStartMembershipSchengen(rc.countryName) AS rcSchMember
        ,visaPractice_EU.dYear
        ,IsNull(SUM(visaPractice_EU.issuedVTL),0) AS issuedVTL
        ,SUM(visaPractice_EU.issuedABC) AS issuedABC
        ,ROUND(IsNull(SUM(CONVERT(FLOAT,visaPractice_EU.issuedVTL)),0) / (IsNull(SUM(CONVERT(FLOAT,visaPractice_EU.issuedVTL)),0) + SUM(CONVERT(FLOAT,visaPractice_EU.issuedABC))) * 100,0) AS shareVTLofTotal
FROM         visaPractice_EU INNER JOIN
                      countries AS rc ON visaPractice_EU.rcID = rc.countryID
WHERE dbo.ufn_getStartMembershipSchengen(rc.countryName) <> 999999
GROUP BY rc.countryID, rc.countryName, visaPractice_EU.dYear, dbo.ufn_getStartMembershipSchengen(rc.countryName)
ORDER BY rcSchMember, rcName, visaPractice_EU.dYear